
1. What type of architect are you going be ?

    > Provideone main are that you are/will be the strongesttwo areas that you will be comfortable doing architecturethree that you are not surethree that you will never do

    Solution architect - design the system architecture.

2. What are main responsibilities of Architect ?

    Protect the system architecture, advise developers and customers, analyse requirements, discover drivers and turn them into mantra, system constraints and architecture concepts, design PoC, system communication, talk with people.

3. Do you have to oversee implementation of your architecture ?

    ???

4. What is min and max number of people in your project.

    <2, 100>

5. How many projects will you work on in parallel.

    <1, 5>

6. With who will you usually cooperate with to do architecture?

    Product Owner, Project visionery, Domain Specialist, BA, product team, project managers, investors.

7. What is the difference between Tech Lead and Architect ?

    Tech Lead is more about people management and low-level stuff (people development, code reviews, leading people and giving feedback)

8. When Tech Lead and Architect roles  should be merged andwhen separated?

    Depending on the number of teams, people in organisation and preferences. It works when it works.

9. What will you deliver as Architect, whats your work artifact?

    Working Code primary. Secondary is mantra, constrains and docs.